## hardinfo 0.5.1%2Bgit20180227

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh ${@}

## hardinfo 0.5.1+git20170620

=== CMakeLists.txt ===
project(HardInfo)
cmake_minimum_required(VERSION 2.6)
cmake_policy(VERSION 2.6)

set(HARDINFO_VERSION "0.6-alpha")
option(HARDINFO_NOSYNC "Disable database sync via libsoup" 1)
SET( CMAKE_MODULE_PATH  "${CMAKE_CURRENT_SOURCE_DIR}/cmake" )
include(GNUInstallDirs)

if(${CMAKE_BUILD_TYPE} MATCHES [Dd]ebug)
  set(HARDINFO_DEBUG 1)
endif()

if(${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
	set(HARDINFO_OS "linux")
else()
	message(FATAL_ERROR "Unsupported operating system: ${CMAKE_HOST_SYSTEM_NAME}")
endif()

if(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "i[3-6]86")
	set(HARDINFO_ARCH "x86")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "x86_64")
	set(HARDINFO_ARCH "x86_64")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "ppc{32,64}")
	set(HARDINFO_ARCH "ppc")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "mips")
	set(HARDINFO_ARCH "mips")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "parisc.*")
	set(HARDINFO_ARCH "parisc")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "sparc{32,64}")
	set(HARDINFO_ARCH "sparc")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "arm.*")
	set(HARDINFO_ARCH "arm")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "aarch64*")
	set(HARDINFO_ARCH "arm")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "ia64")
	set(HARDINFO_ARCH "ia64")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "alpha")
	set(HARDINFO_ARCH "alpha")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "s390.*")
	set(HARDINFO_ARCH "s390")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "m68k")
	set(HARDINFO_ARCH "m68k")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "sh{3,4}")
	set(HARDINFO_ARCH "sh")
else()
	message(FATAL_ERROR "Unsupported architecture: ${CMAKE_HOST_SYSTEM_PROCESSOR}")
endif()

message(STATUS "Building HardInfo for architecture: ${HARDINFO_OS}-${HARDINFO_ARCH}")

add_definitions("-std=gnu89")

add_subdirectory(po)

include(FindPkgConfig)
pkg_check_modules(GTK REQUIRED gtk+-2.0>=2.10 glib-2.0>=2.10 gthread-2.0>=2.10 gmodule-export-2.0>=2.10)
if(NOT HARDINFO_NOSYNC)
	pkg_check_modules(LIBSOUP libsoup-2.4>=2.24)
endif()

include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/includes
	${CMAKE_SOURCE_DIR}/includes/${HARDINFO_ARCH}
	${CMAKE_BINARY_DIR}
	${GTK_INCLUDE_DIRS}
	${LIBSOUP_INCLUDE_DIRS}
)
link_directories(
	${GTK_LIBRARY_DIRS}
	${LIBSOUP_LIBRARY_DIRS}
)

set(HARDINFO_MODULES
	computer
	devices
	benchmark
	network
)
set(HARDINFO_RESOURCES
	"benchmark.conf"
	"benchmark.data"
)

set(MODULE_computer_SOURCES
	modules/computer.c
	modules/computer/alsa.c
	modules/computer/boots.c
	modules/computer/display.c
	modules/computer/environment.c
	modules/computer/filesystem.c
	modules/computer/languages.c
	modules/computer/loadavg.c
	modules/computer/memory.c
	modules/computer/modules.c
	modules/computer/os.c
	modules/computer/uptime.c
	modules/computer/users.c
	modules/computer/groups.c
)
set(MODULE_devices_SOURCES
	modules/devices.c
	modules/devices/${HARDINFO_ARCH}/processor.c
	modules/devices/battery.c
	modules/devices/devmemory.c
	modules/devices/dmi.c
	modules/devices/inputdevices.c
	modules/devices/pci.c
	modules/devices/printers.c
	modules/devices/resources.c
	modules/devices/sensors.c
	modules/devices/spd-decode.c
	modules/devices/storage.c
	modules/devices/usb.c
)
set(MODULE_network_SOURCES
	modules/network.c
	modules/network/net.c
	modules/network/nfs.c
	modules/network/samba.c
)
set(MODULE_benchmark_SOURCES
	modules/benchmark.c
	modules/benchmark/blowfish.c
	modules/benchmark/cryptohash.c
	modules/benchmark/drawing.c
	modules/benchmark/fbench.c
	modules/benchmark/fftbench.c
	modules/benchmark/fft.c
	modules/benchmark/fib.c
	modules/benchmark/guibench.c
	modules/benchmark/md5.c
	modules/benchmark/nqueens.c
	modules/benchmark/raytrace.c
	modules/benchmark/sha1.c
)

set_source_files_properties(
	modules/benchmark/blowfish.c
	modules/benchmark/fftbench.c
	modules/benchmark/md5.c
	modules/benchmark/sha1.c
	PROPERTIES
	COMPILE_FLAGS "-O0"
)

foreach (_module ${HARDINFO_MODULES})
	add_library(${_module} MODULE ${MODULE_${_module}_SOURCES})
	set_target_properties(${_module} PROPERTIES PREFIX "")
endforeach()

add_library(hardinfo-shell STATIC
        shell/callbacks.c
        shell/iconcache.c
        shell/loadgraph.c
        shell/menu.c
        shell/report.c
        shell/shell.c
        shell/stock.c
	shell/syncmanager.c
)
add_executable(hardinfo
	hardinfo/binreloc.c
	hardinfo/expr.c
        hardinfo/hardinfo.c
	hardinfo/socket.c
	hardinfo/util.c
	hardinfo/vendor.c
)
target_link_libraries(hardinfo
	${GTK_LIBRARIES}
	${LIBSOUP_LIBRARIES}
	hardinfo-shell
	m
)

configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h @ONLY)
configure_file(hardinfo.desktop.cmake ${CMAKE_BINARY_DIR}/hardinfo.desktop @ONLY)

install(TARGETS hardinfo ${HARDINFO_MODULES}
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/hardinfo/modules
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)
install(FILES ${CMAKE_BINARY_DIR}/hardinfo.desktop
	DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
)
install(FILES ${HARDINFO_RESOURCES}
	DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/hardinfo
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
)
install(DIRECTORY pixmaps
	DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/hardinfo
	PATTERN "*.{png,svg}"
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
)
install(DIRECTORY doc
	DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/hardinfo
	PATTERN "*.{hlp,png}"
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
)

## hardinfo 0.5.1+git20170815

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 set(HARDINFO_VERSION "0.6-alpha")
 option(HARDINFO_NOSYNC "Disable database sync via libsoup" 1)
+option(HARDINFO_GTK3 "Attempt to build for GTK3 (0/off for GTK2)" 0)
+set(OVRARCH "" CACHE STRING "Override HARDINFO_ARCH value")
+set(OVRCPUINFO "" CACHE STRING "Specify a different file for /proc/cpuinfo")
+set(OVRDTRROOT "" CACHE STRING "Specify a different path for /proc/device-tree")
 SET( CMAKE_MODULE_PATH  "${CMAKE_CURRENT_SOURCE_DIR}/cmake" )
 include(GNUInstallDirs)
 
@@ -20,8 +24,8 @@
 if(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "i[3-6]86")
 	set(HARDINFO_ARCH "x86")
 elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "x86_64")
-	set(HARDINFO_ARCH "x86_64")
-elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "ppc{32,64}")
+	set(HARDINFO_ARCH "x86")
+elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "(ppc|ppc32|ppc64|ppc64le)")
 	set(HARDINFO_ARCH "ppc")
 elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "mips")
 	set(HARDINFO_ARCH "mips")
@@ -31,7 +35,7 @@
 	set(HARDINFO_ARCH "sparc")
 elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "arm.*")
 	set(HARDINFO_ARCH "arm")
-elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "aarch64*")
+elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "aarch64.*")
 	set(HARDINFO_ARCH "arm")
 elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "ia64")
 	set(HARDINFO_ARCH "ia64")
@@ -41,12 +45,28 @@
 	set(HARDINFO_ARCH "s390")
 elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "m68k")
 	set(HARDINFO_ARCH "m68k")
-elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "sh{3,4}")
+elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "sh[3-5]")
 	set(HARDINFO_ARCH "sh")
+elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "(riscv|riscv32|riscv64)")
+	set(HARDINFO_ARCH "riscv")
 else()
 	message(FATAL_ERROR "Unsupported architecture: ${CMAKE_HOST_SYSTEM_PROCESSOR}")
 endif()
 
+if (OVRARCH)
+	set(HARDINFO_ARCH ${OVRARCH})
+endif()
+if (OVRCPUINFO)
+	add_definitions(-DPROC_CPUINFO=${OVRCPUINFO})
+	message(STATUS "/proc/cpuinfo override: ${OVRCPUINFO}")
+endif()
+if (OVRDTRROOT)
+	add_definitions(-DDTR_ROOT=${OVRDTRROOT})
+	message(STATUS "/proc/device-tree override: ${OVRDTRROOT}")
+endif()
+add_definitions(-DLOCALEDIR="${CMAKE_INSTALL_PREFIX}/share/locale")
+message(STATUS "LOCALEDIR = ${CMAKE_INSTALL_PREFIX}/share/locale")
+
 message(STATUS "Building HardInfo for architecture: ${HARDINFO_OS}-${HARDINFO_ARCH}")
 
 add_definitions("-std=gnu89")
@@ -54,18 +74,30 @@
 add_subdirectory(po)
 
 include(FindPkgConfig)
-pkg_check_modules(GTK REQUIRED gtk+-2.0>=2.10 glib-2.0>=2.10 gthread-2.0>=2.10 gmodule-export-2.0>=2.10)
+if (HARDINFO_GTK3)
+	message(STATUS "Building for GTK3 (experimental!)")
+	pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.0 cairo>=1.0 cairo-png>=1.0 glib-2.0>=2.10 gthread-2.0>=2.10 gmodule-export-2.0>=2.10)
+	add_definitions(-DGTK_DISABLE_SINGLE_INCLUDES)
+else()
+	message(STATUS "Building for GTK2")
+	pkg_check_modules(GTK REQUIRED gtk+-2.0>=2.10 glib-2.0>=2.10 gthread-2.0>=2.10 gmodule-export-2.0>=2.10)
+endif()
+
 if(NOT HARDINFO_NOSYNC)
 	pkg_check_modules(LIBSOUP libsoup-2.4>=2.24)
 endif()
+
+include(FindZLIB REQUIRED)
 
 include_directories(
 	${CMAKE_SOURCE_DIR}
 	${CMAKE_SOURCE_DIR}/includes
 	${CMAKE_SOURCE_DIR}/includes/${HARDINFO_ARCH}
+	${CMAKE_SOURCE_DIR}/deps/uber-graph/uber
 	${CMAKE_BINARY_DIR}
 	${GTK_INCLUDE_DIRS}
 	${LIBSOUP_INCLUDE_DIRS}
+	${ZLIB_INCLUDE_DIRS}
 )
 link_directories(
 	${GTK_LIBRARY_DIRS}
@@ -81,6 +113,10 @@
 set(HARDINFO_RESOURCES
 	"benchmark.conf"
 	"benchmark.data"
+)
+
+set(HARDINFO_MANPAGES
+	"hardinfo.1"
 )
 
 set(MODULE_computer_SOURCES
@@ -101,10 +137,13 @@
 )
 set(MODULE_devices_SOURCES
 	modules/devices.c
+	modules/devices/cpu_util.c
 	modules/devices/${HARDINFO_ARCH}/processor.c
 	modules/devices/battery.c
 	modules/devices/devmemory.c
 	modules/devices/dmi.c
+	modules/devices/devicetree.c
+	modules/devices/devicetree/dt_util.c
 	modules/devices/inputdevices.c
 	modules/devices/pci.c
 	modules/devices/printers.c
@@ -120,7 +159,7 @@
 	modules/network/nfs.c
 	modules/network/samba.c
 )
-set(MODULE_benchmark_SOURCES
+set(MODULE_benchmark_SOURCES_GTKANY
 	modules/benchmark.c
 	modules/benchmark/blowfish.c
 	modules/benchmark/cryptohash.c
@@ -129,12 +168,20 @@
 	modules/benchmark/fftbench.c
 	modules/benchmark/fft.c
 	modules/benchmark/fib.c
-	modules/benchmark/guibench.c
 	modules/benchmark/md5.c
 	modules/benchmark/nqueens.c
 	modules/benchmark/raytrace.c
 	modules/benchmark/sha1.c
-)
+	modules/benchmark/zlib.c
+)
+set(MODULE_benchmark_SOURCES_GTK2
+	modules/benchmark/guibench.c
+)
+if (HARDINFO_GTK3)
+	set(MODULE_benchmark_SOURCES ${MODULE_benchmark_SOURCES_GTKANY})
+else()
+	set(MODULE_benchmark_SOURCES ${MODULE_benchmark_SOURCES_GTKANY} ${MODULE_benchmark_SOURCES_GTK2})
+endif()
 
 set_source_files_properties(
 	modules/benchmark/blowfish.c
@@ -150,16 +197,23 @@
 	set_target_properties(${_module} PROPERTIES PREFIX "")
 endforeach()
 
-add_library(hardinfo-shell STATIC
-        shell/callbacks.c
-        shell/iconcache.c
-        shell/loadgraph.c
-        shell/menu.c
-        shell/report.c
-        shell/shell.c
-        shell/stock.c
-	shell/syncmanager.c
-)
+if (HARDINFO_GTK3)
+add_library(uber-graph STATIC
+	deps/uber-graph/uber/g-ring.c
+	deps/uber-graph/uber/uber-frame-source.c
+	deps/uber-graph/uber/uber-graph.c
+	deps/uber-graph/uber/uber-heat-map.c
+	deps/uber-graph/uber/uber-label.c
+	deps/uber-graph/uber/uber-line-graph.c
+	deps/uber-graph/uber/uber-range.c
+	deps/uber-graph/uber/uber-scale.c
+	deps/uber-graph/uber/uber-scatter.c
+	deps/uber-graph/uber/uber-timeout-interval.c
+	deps/uber-graph/uber/uber-window.c
+)
+endif()
+
+if (HARDINFO_GTK3)
 add_executable(hardinfo
 	hardinfo/binreloc.c
 	hardinfo/expr.c
@@ -167,13 +221,48 @@
 	hardinfo/socket.c
 	hardinfo/util.c
 	hardinfo/vendor.c
+	hardinfo/info.c
+	shell/callbacks.c
+	shell/iconcache.c
+	shell/menu.c
+	shell/report.c
+	shell/shell.c
+	shell/stock.c
+	shell/syncmanager.c
+	shell/loadgraph-uber.c
+)
+target_link_libraries(hardinfo
+	uber-graph
+	${GTK_LIBRARIES}
+	${LIBSOUP_LIBRARIES}
+	m
+	${ZLIB_LIBRARIES}
+)
+else()
+add_executable(hardinfo
+	hardinfo/binreloc.c
+	hardinfo/expr.c
+        hardinfo/hardinfo.c
+	hardinfo/socket.c
+	hardinfo/util.c
+	hardinfo/vendor.c
+	hardinfo/info.c
+	shell/callbacks.c
+	shell/iconcache.c
+	shell/menu.c
+	shell/report.c
+	shell/shell.c
+	shell/stock.c
+	shell/syncmanager.c
+	shell/loadgraph.c
 )
 target_link_libraries(hardinfo
 	${GTK_LIBRARIES}
 	${LIBSOUP_LIBRARIES}
-	hardinfo-shell
 	m
-)
+	${ZLIB_LIBRARIES}
+)
+endif()
 
 configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h @ONLY)
 configure_file(hardinfo.desktop.cmake ${CMAKE_BINARY_DIR}/hardinfo.desktop @ONLY)
@@ -201,3 +290,7 @@
 	PATTERN "*.{hlp,png}"
 	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
 )
+install(FILES ${HARDINFO_MANPAGES}
+	DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/man/man1
+	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
+)

=== debian/changelog ===
hardinfo (0.5.1+git20170815-1) unstable; urgency=medium

  * Update to latest upstream Git commit (0ca8d0) so that we can drop all
    patches, as they have all been applied upstream.
  * Update Standards-version to 4.0.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Aug 2017 04:32:57 -0500

hardinfo (0.5.1+git20170620-2) unstable; urgency=medium

  * Fix build on ppc64el (Closes: #865776).
  * Update FSF address to new one in debian/changelog's LGPL-2.1+ stanza.
  * Make the build reproducible (Closes: #833379).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Jul 2017 06:04:21 -0500

hardinfo (0.5.1+git20170620-1) unstable; urgency=medium

  * Update to latest upstream Git commit (1f791f3) to fix a few issues.
    - Fix build on arm64 (Closes: #779465).
  * Adopt the package (Closes: #852525).
  * Fix whitespace and run wrap-and-sort.
  * Bump Standards-version to 4.0.0. No changes needed.
  * Bump debhelper compat version to 10.
  * Use source format 3.0 (quilt).
  * Rewrite and use the dh sequencer in debian/rules, build with cmake.
  * Add ${misc:Depends} to hardinfo's dependencies.
  * Rewrite debian/copyright to use copyright-format 1.0.
  * Add Homepage and Vcs-* fields in debian/control.
  * Merge changes from Ubuntu (Closes: #696407, #554783):
    - Add glibc-version.patch for compatibility with a different glibc
      location.
    - Recommend lm-sensors in order to read information from sensors.
  * Rewrite debian/watch to pull from new upstream location.
  * Override the spelling-error-in-binary Lintian tag because it's the name of
    a company.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 23 Jun 2017 03:36:18 -0500

hardinfo (0.5.1-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with clang instead of gcc":
    patch Makefile* to add "-std=gnu89" to CFLAGS.
    (Closes: #757525)

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 Jul 2015 17:51:45 +0200

hardinfo (0.5.1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * fix FTBFS "ld: cannot find -lselinux" by adding a build-dep on
    libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
    (Closes: #747059).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 07 May 2014 21:12:18 +0900

hardinfo (0.5.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS "ld: cannot find -llzma" by adding a build-dep on liblzma-dev.
    (Closes: #713717)

 -- Vincent Cheng <vcheng@debian.org>  Tue, 25 Mar 2014 15:47:36 -0700

hardinfo (0.5.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ld: cannot find -lffi":
    add patch from Ubuntu / Julien Lavergne:
    + debian/control:
      - Build-depends on libffi-dev to fix FTBFS (LP: #831185)
    (Closes: #652179)

 -- gregor herrmann <gregoa@debian.org>  Thu, 05 Jan 2012 16:14:54 +0100

hardinfo (0.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * [cd677eda] Move files from /usr/lib64 to /usr/lib. (Closes: #557569)
    - thanks to Kurt Roeckx

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 22 Jan 2010 21:22:24 +0100

hardinfo (0.5.1-1) unstable; urgency=low

  * New upstream version. (Closes: #530290, #517591)

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Thu, 24 Sep 2009 15:13:54 -0300

hardinfo (0.5c-1) unstable; urgency=low

  * New upstream version. 
     (Closes: #517591, #511237, #457703, #519256, #449250, #457820, #497758) 

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Sat, 28 Mar 2009 22:55:02 -0300

hardinfo (0.4.2.3-5) unstable; urgency=low

  * Fixed location on menu. (Closes: #487569) 

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Sun, 06 Jul 2008 19:01:51 -0300

hardinfo (0.4.2.3-4) unstable; urgency=low

  * Fixed LSPCIPATH on configure. (Closes: #482381) 

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Tue, 27 May 2008 21:17:23 -0300

hardinfo (0.4.2.3-3) unstable; urgency=low

  * changed modules install dir for amd64 
    (thanks to ucko@d.o). (Closes: #468105) 

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Tue, 26 Feb 2008 23:52:45 -0300

hardinfo (0.4.2.3-2) unstable; urgency=low 

  * fixed desktop file, thanks to Kjell Braden. (Closes: #466587) 

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Sun, 24 Feb 2008 23:35:44 -0300

hardinfo (0.4.2.3-1) unstable; urgency=low

  * New upstream release.(Closes: #454947) 

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Sun, 09 Dec 2007 05:03:40 -0400

hardinfo (0.4.2.2-3) unstable; urgency=low

  * Fixed FTBFS on s390. (Closes: #443293) 

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Thu, 20 Sep 2007 16:59:20 -0400

hardinfo (0.4.2.2-2) unstable; urgency=low

  * Fixed FTBFS. (Closes: #442594) 

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Mon, 17 Sep 2007 15:51:12 -0300

hardinfo (0.4.2.2-1) unstable; urgency=low

  * New upstream release.
  * hardinfo now suggests mesa-utils (Closes: #435793)


 -- Agney Lopes Roth Ferraz <agney@debian.org>  Tue, 11 Sep 2007 14:53:15 -0300

hardinfo (0.4.2.1.svn30042007-1) unstable; urgency=low

  * Fixed FTBFS on SVN version (Closes: #419587)

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Mon, 30 Apr 2007 14:52:35 -0300

hardinfo (0.4.2.1-1) unstable; urgency=low

  * New upstream release.
  * Fixed segfault on device entry (Closes: #387955)

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Mon, 09 Apr 2007 11:45:31 -0300

hardinfo (0.4.1-9) unstable; urgency=low

  * Fixed segfaults on powerpc (Closes: #408050)

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Wed, 21 Feb 2007 21:10:57 -0200

hardinfo (0.4.1-8) unstable; urgency=low

  * Fixed errors on processor.h on ia64 and alpha. 

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Tue, 12 Dec 2006 09:30:53 -0300

hardinfo (0.4.1-7) unstable; urgency=low

  * Fixed FTBFS on s390, ia64 and alpha. 

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Mon, 11 Dec 2006 20:40:14 -0200

hardinfo (0.4.1-6) unstable; urgency=low

  * Changed configure script to reconize m68k machines 



=== debian/control ===
Source: hardinfo
Section: x11
Priority: optional
Maintainer: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 10),
               libffi-dev,
               libgtk2.0-dev,
               liblzma-dev,
               libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libsoup2.4-dev,
               pciutils (>= 1:2.1.11-10)
Standards-Version: 4.0.1
Homepage: http://hardinfo.org
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/hardinfo.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/hardinfo.git

Package: hardinfo
Architecture: any
Depends: pciutils (>= 1:2.1.11-10), ${misc:Depends}, ${shlibs:Depends}
Recommends: lm-sensors
Suggests: mesa-utils
Description: Displays system information
 HardInfo is a small application that displays information about your
 hardware and operating system. Currently it knows about PCI, ISA PnP, USB,
 IDE, SCSI, Serial and parallel port devices.

## hardinfo 0.5.1+git20171103

=== debian/changelog ===
hardinfo (0.5.1+git20171103-1) unstable; urgency=medium

  * Update to latest upstream Git commit (9ea63eb).
  * Bump Standards-version to 4.1.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 25 Nov 2017 13:36:24 -0600

hardinfo (0.4.2.3-2) unstable; urgency=low

  * fixed desktop file, thanks to Kjell Braden. (Closes: #466587)

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Sun, 24 Feb 2008 23:35:44 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libsoup2.4-dev,
                pciutils (>= 1:2.1.11-10)
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Homepage: http://hardinfo.org
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/hardinfo.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/hardinfo.git

## hardinfo 0.5.1+git20180227

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,8 @@
 include(GNUInstallDirs)
 
 if(${CMAKE_BUILD_TYPE} MATCHES [Dd]ebug)
-  set(HARDINFO_DEBUG 1)
+	set(HARDINFO_DEBUG 1)
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
 endif()
 
 if(${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
@@ -137,13 +138,11 @@
 )
 set(MODULE_devices_SOURCES
 	modules/devices.c
-	modules/devices/cpu_util.c
 	modules/devices/${HARDINFO_ARCH}/processor.c
 	modules/devices/battery.c
 	modules/devices/devmemory.c
 	modules/devices/dmi.c
 	modules/devices/devicetree.c
-	modules/devices/devicetree/dt_util.c
 	modules/devices/inputdevices.c
 	modules/devices/pci.c
 	modules/devices/printers.c
@@ -222,6 +221,9 @@
 	hardinfo/util.c
 	hardinfo/vendor.c
 	hardinfo/info.c
+	hardinfo/cpu_util.c
+	hardinfo/dmi_util.c
+	hardinfo/dt_util.c
 	shell/callbacks.c
 	shell/iconcache.c
 	shell/menu.c
@@ -247,6 +249,9 @@
 	hardinfo/util.c
 	hardinfo/vendor.c
 	hardinfo/info.c
+	hardinfo/cpu_util.c
+	hardinfo/dmi_util.c
+	hardinfo/dt_util.c
 	shell/callbacks.c
 	shell/iconcache.c
 	shell/menu.c

=== debian/changelog ===
hardinfo (0.5.1+git20180227-2.1build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 15:20:29 -0500

hardinfo (0.5.1+git20180227-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957327)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 09 Aug 2020 22:16:41 +0100

hardinfo (0.5.1+git20180227-2) unstable; urgency=medium

  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Reflect the move in Salsa namespace.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 23 Dec 2018 23:56:13 -0600

hardinfo (0.5.1+git20180227-1) unstable; urgency=medium

  * Update to latest upstream Git commit (3d78bd2).
  * Bump Standards-version to 4.1.3, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Add zlib1g-dev as a build dependency to make sure that the CPU ZLib
    benchmark works as intended (Closes: #536244).
  * Update Vcs-* to reflect the move to Salsa.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 22:47:46 -0600

=== debian/control ===
Source: hardinfo
Section: x11
Priority: optional
Maintainer: Simon Quigley <tsimonq2@debian.org>
Build-Depends: cmake,
               debhelper (>= 11),
               libffi-dev,
               libgtk2.0-dev,
               liblzma-dev,
               libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libsoup2.4-dev,
               pciutils (>= 1:2.1.11-10)
Standards-Version: 4.1.3
Homepage: http://hardinfo.org
Vcs-Browser: https://salsa.debian.org/tsimonq2/hardinfo
Vcs-Git: https://salsa.debian.org/tsimonq2/hardinfo.git

Package: hardinfo
Architecture: any
Depends: pciutils (>= 1:2.1.11-10),
         zlib1g-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lm-sensors
Suggests: mesa-utils
Description: Displays system information
 HardInfo is a small application that displays information about your
 hardware and operating system. Currently it knows about PCI, ISA PnP, USB,
 IDE, SCSI, Serial and parallel port devices.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/release-?(\d\S+)\.tar\.gz/hardinfo_$1\.orig\.tar\.gz/ \
  https://github.com/lpereira/hardinfo/tags .*/release-?(\d\S+)\.tar\.gz

## hardinfo 0.5.1-1.1ubuntu5-1linuxmint4

=== Makefile ===
GTK_LIBS = -lpthread -lgthread-2.0 -lrt -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0  
GTK_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
SOUP_LIBS = -pthread -lsoup-2.4 -lxml2 -lm -lgio-2.0 -lz -lresolv -lgmodule-2.0 -ldl -lgobject-2.0 -lffi -lglib-2.0 -lrt -lpcre  
SOUP_CFLAGS = -pthread -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  
PACKAGE = hardinfo-0.5.1-1.1ubuntu5
ARCHOPTS = 
LIBDIR = /usr/lib

CCFLAGS = -fPIC -pipe -Wall -g 
CFLAGS = $(GTK_CFLAGS) $(SOUP_CFLAGS) -I.
CC = gcc $(ARCHOPTS) -g
CCSLOW = gcc -O0 -g

# ----------------------------------------------------------------------------

OBJECTS = hardinfo.o shell.o util.o iconcache.o loadgraph.o  \
		menu.o stock.o callbacks.o expr.o report.o binreloc.o \
		vendor.o socket.o syncmanager.o
BENCHMARK_OBJECTS = fbench.o sha1.o blowfish.o md5.o nqueens.o fftbench.o

MODULES = computer.so devices.so benchmark.so network.so

all:	$(OBJECTS) $(MODULES)
	$(CC) $(CCFLAGS) -o hardinfo -Wl,-export-dynamic $(OBJECTS) $(GTK_LIBS) \
		$(SOUP_LIBS)

md5.o:
	$(CCSLOW) $(CCFLAGS) $(CFLAGS) -c md5.c -o $@

blowfish.o:
	$(CCSLOW) $(CCFLAGS) $(CFLAGS) -c blowfish.c -o $@

sha1.o:
	$(CCSLOW) $(CCFLAGS) $(CFLAGS) -c sha1.c -o $@

fbench.o:
	$(CCSLOW) $(CCFLAGS) $(CFLAGS) -c fbench.c -o $@

fftbench.o:
	$(CCSLOW) $(CCFLAGS) $(CFLAGS) -c fftbench.c -o $@

nqueens.o:
	$(CCSLOW) $(CCFLAGS) $(CFLAGS) -c nqueens.c -o $@

benchmark.so:	benchmark.c
	make $(BENCHMARK_OBJECTS)
	$(CCSLOW) $(CCFLAGS) $(CFLAGS) -o $@ -shared $< $(BENCHMARK_OBJECTS) \
		$(GTK_FLAGS) $(GTK_LIBS)
	ln -sf ../$@ modules

%.so:	%.c
	$(CC) $(CCFLAGS) $(CFLAGS) -o $@ -shared $< $(GTK_FLAGS) $(GTK_LIBS)
	ln -sf ../$@ modules
	
clean:
	rm -rf .xvpics pixmaps/.xvpics *.o *.so hardinfo modules/*.so report
	find . -name \*~ -exec rm -v {} \;
	find . -name x86 -type l -exec rm -v {} \;

dist-clean:	clean
	rm -rf Makefile debian/hardinfo/ config.h arch/this

package:	dist-clean
	@echo "Creating tar.gz..."
	cd .. && tar czf $(PACKAGE).tar.gz $(PACKAGE)/* && cd $(PACKAGE)
	@echo "Creating tar.bz2..."
	cd .. && tar cjf $(PACKAGE).tar.bz2 $(PACKAGE)/* && cd $(PACKAGE)

deb:	dist-clean
	@echo "Creating deb..."
	dpkg-buildpackage -rfakeroot -k${USER}

install:	all
	rm -rf ${DESTDIR}${LIBDIR}/hardinfo/modules ${DESTDIR}/usr/share/hardinfo/pixmaps

	mkdir -p ${DESTDIR}/usr/bin
	mkdir -p ${DESTDIR}/usr/local
	mkdir -p ${DESTDIR}/usr/share/applications
	mkdir -p ${DESTDIR}${LIBDIR}/hardinfo/modules
	mkdir -p ${DESTDIR}/usr/share/hardinfo/pixmaps

	cp hardinfo.desktop ${DESTDIR}/usr/share/applications

	cp hardinfo ${DESTDIR}/usr/bin/hardinfo

	cp -Lr modules/*.so ${DESTDIR}${LIBDIR}/hardinfo/modules

	cp -Lr pixmaps/* ${DESTDIR}/usr/share/hardinfo/pixmaps

	cp benchmark.conf ${DESTDIR}/usr/share/hardinfo
	cp benchmark.data ${DESTDIR}/usr/share/hardinfo

	chmod 755 ${DESTDIR}/usr/bin/hardinfo

installer:
	makepackage

=== debian/changelog ===
hardinfo (0.5.1-1.1ubuntu5-1linuxmint4) maya; urgency=low

  * Added Cinnamon detection

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 20 May 2012 12:23:44 +0100

hardinfo (0.5.1-1.1ubuntu5-1linuxmint3) maya; urgency=low

  * Added MATE detection

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 20 May 2012 11:30:56 +0100

hardinfo (0.5.1-1.1ubuntu5-1linuxmint2) maya; urgency=low

  * Changed name in desktop file to "System information"

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 May 2012 17:30:34 +0100

hardinfo (0.5.1-1.1ubuntu5-1linuxmint1) lisa; urgency=low

  * Fixed desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 22 Oct 2011 15:46:00 +0000

hardinfo (0.5.1-1.1ubuntu5) oneiric; urgency=low

  * debian/control:
   - Build-depends on libffi-dev to fix FTBFS (LP: #831185)

 -- Julien Lavergne <gilir@ubuntu.com>  Wed, 24 Aug 2011 22:08:43 +0200

hardinfo (0.5.1-1.1ubuntu4) oneiric; urgency=low

  * debian/patches/03-detect-lxde.patch
   - Detect LXDE and Lubuntu from XDG_CURRENT_DESKTOP and
     DESKTOP_SESSION environment variables.  (LP: #778148)

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Thu, 07 May 2011 10:22:53 -0700

hardinfo (0.5.1-1.1ubuntu3) maverick; urgency=low

  * debian/control
   - Recommends lm-sensors to read information from sensors. (LP: #178600)

 -- Julien Lavergne <gilir@ubuntu.com>  Wed, 22 Sep 2010 16:21:51 +0200

hardinfo (0.5.1-1.1ubuntu2) lucid; urgency=low

  * debian/patches/02-fix-distro-crash.patch:
   - From upstream, fix a crash when trying to get distro informations.
     (LP: #450447)

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 08 Mar 2010 21:41:09 +0100

hardinfo (0.5.1-1.1ubuntu1) lucid; urgency=low

  * Merge from debian testing, Ubuntu remaining changes:
    - debian/rules: Don't install anything in /usr/local, otherwise FTBFS.
    - debian/control:
      + Add homepage field
      + Build-Depends on quilt.
    - debian/rules:
      + Add quilt support.
    - Add 01-truncated_description.patch to fix LP: #357189.
  * Add ${misc:Depends} to hardinfo runtime Depends field.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 31 Jan 2010 15:02:56 +0100

hardinfo (0.5.1-1ubuntu1) lucid; urgency=low

  * Merge from debian testing:
    - debian/rules: Don't install anything in /usr/local, otherwise FTBFS.
  * debian/control: Add homepage field.
  * Add quilt patch system support.
  * Add 01-truncated_description.patch to fix LP: #357189 (at least
    partially).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 06 Nov 2009 14:14:17 +0100

hardinfo (0.5c-1ubuntu1) karmic; urgency=low

  * debian/rules: Don't install anything in /usr/local, fix FTBFS.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 03 Jun 2009 21:27:13 +0200

=== debian/control ===
Source: hardinfo
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Agney Lopes Roth Ferraz <agney@debian.org>
Build-Depends: debhelper (>> 5.0.0), libgtk2.0-dev, pciutils (>=1:2.1.11-10), libsoup2.4-dev, quilt, libffi-dev
Standards-Version: 3.8.3.0
Homepage: http://hardinfo.berlios.de/

Package: hardinfo
Architecture: any 
Depends: ${shlibs:Depends}, pciutils (>=1:2.1.11-10), ${misc:Depends}
Recommends: lm-sensors
Suggests: mesa-utils
Description: Displays system information
 HardInfo is a small application that displays information about your
 hardware and operating system. Currently it knows about PCI, ISA PnP, USB,
 IDE, SCSI, Serial and parallel port devices.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1



include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp: patch
	dh_testdir
	./configure

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f arch/this
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/hardinfo.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/hardinfo
	install -d `pwd`/debian/hardinfo/usr/share/pixmaps
	install -m 644 debian/hardinfo.xpm \
		`pwd`/debian/hardinfo/usr/share/pixmaps
	install -d `pwd`/debian/hardinfo/usr/share/applications
	install -m 644 debian/hardinfo.desktop  \
		`pwd`/debian/hardinfo/usr/share/applications
	# Delete /usr/local to prevent FTBFS
	rm -rf debian/hardinfo/usr/local

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	#dh_installchangelogs ChangeLog
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_install
	dh_installmenu
#	dh_desktop
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/hardinfo.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=downloadurlmangle=s/prdownload/download/ \
   http://developer.berlios.de/project/showfiles.php?group_id=5897 \
   http://prdownload.berlios.de/hardinfo/hardinfo-(.*)\.tar\.gz \
   debian uupdate

## hardinfo 0.5.2.1

=== debian/changelog ===
hardinfo (0.5.2.1-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: c5d527897a971425742e93f2d9fbf9f4d71a45be']

 -- shuttle <shuttle@deepin.com>  Wed, 27 Nov 2019 19:32:58 +0000

## hardinfo 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 cmake_policy(VERSION 2.6)
 
 set(HARDINFO_VERSION "0.6-alpha")
-option(HARDINFO_NOSYNC "Disable database sync via libsoup" 1)
 option(HARDINFO_GTK3 "Attempt to build for GTK3 (0/off for GTK2)" 0)
 set(OVRARCH "" CACHE STRING "Override HARDINFO_ARCH value")
 set(OVRCPUINFO "" CACHE STRING "Specify a different file for /proc/cpuinfo")
@@ -40,6 +39,8 @@
 	set(HARDINFO_ARCH "arm")
 elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "ia64")
 	set(HARDINFO_ARCH "ia64")
+elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "loongarch64")
+	set(HARDINFO_ARCH "loongarch64")
 elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "alpha")
 	set(HARDINFO_ARCH "alpha")
 elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "s390.*")
@@ -50,6 +51,8 @@
 	set(HARDINFO_ARCH "sh")
 elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "(riscv|riscv32|riscv64)")
 	set(HARDINFO_ARCH "riscv")
+elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "e2k")
+        set(HARDINFO_ARCH "e2k")
 else()
 	message(FATAL_ERROR "Unsupported architecture: ${CMAKE_HOST_SYSTEM_PROCESSOR}")
 endif()
@@ -65,12 +68,15 @@
 	add_definitions(-DDTR_ROOT=${OVRDTRROOT})
 	message(STATUS "/proc/device-tree override: ${OVRDTRROOT}")
 endif()
-add_definitions(-DLOCALEDIR="${CMAKE_INSTALL_PREFIX}/share/locale")
-message(STATUS "LOCALEDIR = ${CMAKE_INSTALL_PREFIX}/share/locale")
+add_definitions(-DLOCALEDIR="${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LOCALEDIR}")
+message(STATUS "LOCALEDIR = ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LOCALEDIR}")
 
 message(STATUS "Building HardInfo for architecture: ${HARDINFO_OS}-${HARDINFO_ARCH}")
 
 add_definitions("-std=gnu89")
+add_definitions("-Wno-deprecated-declarations")
+add_definitions("-Wformat")
+add_definitions("-Wformat-security")
 
 add_subdirectory(po)
 
@@ -84,9 +90,10 @@
 	pkg_check_modules(GTK REQUIRED gtk+-2.0>=2.10 glib-2.0>=2.10 gthread-2.0>=2.10 gmodule-export-2.0>=2.10)
 endif()
 
-if(NOT HARDINFO_NOSYNC)
-	pkg_check_modules(LIBSOUP libsoup-2.4>=2.24)
-endif()
+pkg_check_modules(LIBSOUP libsoup-2.4>=2.42)
+pkg_check_modules(JSON_GLIB REQUIRED json-glib-1.0)
+
+pkg_check_modules(X11 REQUIRED x11)
 
 include(FindZLIB REQUIRED)
 
@@ -94,15 +101,21 @@
 	${CMAKE_SOURCE_DIR}
 	${CMAKE_SOURCE_DIR}/includes
 	${CMAKE_SOURCE_DIR}/includes/${HARDINFO_ARCH}
-	${CMAKE_SOURCE_DIR}/deps/uber-graph/uber
+	${CMAKE_SOURCE_DIR}/deps/uber-graph
+	${CMAKE_SOURCE_DIR}/deps/sysobj_early/include
+	${CMAKE_SOURCE_DIR}/deps/sysobj_early/gui
 	${CMAKE_BINARY_DIR}
 	${GTK_INCLUDE_DIRS}
 	${LIBSOUP_INCLUDE_DIRS}
 	${ZLIB_INCLUDE_DIRS}
+	${X11_INCLUDE_DIRS}
+	${JSON_GLIB_INCLUDE_DIRS}
 )
 link_directories(
 	${GTK_LIBRARY_DIRS}
 	${LIBSOUP_LIBRARY_DIRS}
+	${X11_LIBRARY_DIRS}
+	${JSON_GLIB_LIBRARY_DIRS}
 )
 
 set(HARDINFO_MODULES
@@ -112,8 +125,15 @@
 	network
 )
 set(HARDINFO_RESOURCES
-	"benchmark.conf"
-	"benchmark.data"
+	"data/benchmark.data"
+	"data/benchmark.json"
+	"data/vendor.ids"
+	"data/sdcard.ids"
+	"data/usb.ids"
+	"data/arm.ids"
+	"data/edid.ids"
+	"data/ieee_oui.ids"
+	"data/pci.ids.min"
 )
 
 set(HARDINFO_MANPAGES
@@ -130,8 +150,10 @@
 	modules/computer/languages.c
 	modules/computer/loadavg.c
 	modules/computer/memory.c
+	modules/computer/memory_usage.c
 	modules/computer/modules.c
 	modules/computer/os.c
+	modules/computer/ubuntu_flavors.c
 	modules/computer/uptime.c
 	modules/computer/users.c
 	modules/computer/groups.c
@@ -139,16 +161,19 @@
 set(MODULE_devices_SOURCES
 	modules/devices.c
 	modules/devices/${HARDINFO_ARCH}/processor.c
+	modules/devices/gpu.c
+	modules/devices/monitors.c
 	modules/devices/battery.c
-	modules/devices/devmemory.c
 	modules/devices/dmi.c
+	modules/devices/dmi_memory.c
+	modules/devices/firmware.c
 	modules/devices/devicetree.c
 	modules/devices/inputdevices.c
 	modules/devices/pci.c
 	modules/devices/printers.c
 	modules/devices/resources.c
 	modules/devices/sensors.c
-	modules/devices/spd-decode.c
+#	modules/devices/spd-decode.c
 	modules/devices/storage.c
 	modules/devices/usb.c
 )
@@ -160,9 +185,10 @@
 )
 set(MODULE_benchmark_SOURCES_GTKANY
 	modules/benchmark.c
+	modules/benchmark/bench_util.c
 	modules/benchmark/blowfish.c
+	modules/benchmark/blowfish2.c
 	modules/benchmark/cryptohash.c
-	modules/benchmark/drawing.c
 	modules/benchmark/fbench.c
 	modules/benchmark/fftbench.c
 	modules/benchmark/fft.c
@@ -172,8 +198,10 @@
 	modules/benchmark/raytrace.c
 	modules/benchmark/sha1.c
 	modules/benchmark/zlib.c
+	modules/benchmark/sysbench.c
 )
 set(MODULE_benchmark_SOURCES_GTK2
+	modules/benchmark/drawing.c
 	modules/benchmark/guibench.c
 )
 if (HARDINFO_GTK3)
@@ -191,39 +219,94 @@
 	COMPILE_FLAGS "-O0"
 )
 
+set_source_files_properties(
+	modules/devices/monitors.c
+	modules/devices/dmi_memory.c
+#	modules/devices/spd-decode.c
+	hardinfo/problem_marker.c
+	hardinfo/hinote_util.c
+	PROPERTIES
+	COMPILE_FLAGS "-std=c99 -Wall -Wextra -Wno-unused-function -Wno-deprecated-declarations -Wno-switch"
+)
+
 foreach (_module ${HARDINFO_MODULES})
 	add_library(${_module} MODULE ${MODULE_${_module}_SOURCES})
 	set_target_properties(${_module} PROPERTIES PREFIX "")
+	target_link_libraries(${_module} ${JSON_GLIB_LIBRARIES})
 endforeach()
+
+find_library(LIBSENSORS_LIBRARY NAMES libsensors.so)
+if (LIBSENSORS_LIBRARY)
+	set(HAS_LIBSENSORS 1)
+	target_link_libraries(devices ${LIBSENSORS_LIBRARY})
+endif ()
+
+add_library(sysobj_early STATIC
+	deps/sysobj_early/src/gg_slist.c
+	deps/sysobj_early/src/strstr_word.c
+	deps/sysobj_early/src/auto_free.c
+	deps/sysobj_early/src/util_ids.c
+	deps/sysobj_early/src/util_sysobj.c
+	deps/sysobj_early/src/appf.c
+	deps/sysobj_early/src/nice_name.c
+	deps/sysobj_early/gui/uri_handler.c
+	deps/sysobj_early/src/util_edid.c
+	deps/sysobj_early/src/format_early.c
+	deps/sysobj_early/src/cpubits.c
+)
+set_target_properties(sysobj_early PROPERTIES COMPILE_FLAGS "-std=c99 -Wall -Wextra -Wno-parentheses -Wno-unused-function")
+target_link_libraries(sysobj_early m)
 
 if (HARDINFO_GTK3)
 add_library(uber-graph STATIC
-	deps/uber-graph/uber/g-ring.c
-	deps/uber-graph/uber/uber-frame-source.c
-	deps/uber-graph/uber/uber-graph.c
-	deps/uber-graph/uber/uber-heat-map.c
-	deps/uber-graph/uber/uber-label.c
-	deps/uber-graph/uber/uber-line-graph.c
-	deps/uber-graph/uber/uber-range.c
-	deps/uber-graph/uber/uber-scale.c
-	deps/uber-graph/uber/uber-scatter.c
-	deps/uber-graph/uber/uber-timeout-interval.c
-	deps/uber-graph/uber/uber-window.c
-)
-endif()
+	deps/uber-graph/g-ring.c
+	deps/uber-graph/uber-frame-source.c
+	deps/uber-graph/uber-graph.c
+	deps/uber-graph/uber-heat-map.c
+	deps/uber-graph/uber-label.c
+	deps/uber-graph/uber-line-graph.c
+	deps/uber-graph/uber-range.c
+	deps/uber-graph/uber-scale.c
+	deps/uber-graph/uber-scatter.c
+	deps/uber-graph/uber-timeout-interval.c
+	deps/uber-graph/uber-window.c
+)
+set_target_properties(uber-graph PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
+endif()
+
+set_source_files_properties(
+	hardinfo/usb_util.c
+	hardinfo/pci_util.c
+	hardinfo/gpu_util.c
+	hardinfo/cpu_util.c
+	hardinfo/x_util.c
+	hardinfo/dt_util.c
+	PROPERTIES
+	COMPILE_FLAGS "-Wall -Wextra -Wno-parentheses -Wno-unused-function"
+)
 
 if (HARDINFO_GTK3)
 add_executable(hardinfo
+	hardinfo/usb_util.c
+	hardinfo/pci_util.c
 	hardinfo/binreloc.c
 	hardinfo/expr.c
         hardinfo/hardinfo.c
 	hardinfo/socket.c
 	hardinfo/util.c
+	hardinfo/gg_key_file_parse_string_as_value.c
+	hardinfo/gg_strescape.c
+	hardinfo/problem_marker.c
+	hardinfo/hinote_util.c
 	hardinfo/vendor.c
 	hardinfo/info.c
 	hardinfo/cpu_util.c
 	hardinfo/dmi_util.c
 	hardinfo/dt_util.c
+	hardinfo/x_util.c
+	hardinfo/gpu_util.c
+	hardinfo/udisks2_util.c
+	hardinfo/storage_util.c
 	shell/callbacks.c
 	shell/iconcache.c
 	shell/menu.c
@@ -234,24 +317,38 @@
 	shell/loadgraph-uber.c
 )
 target_link_libraries(hardinfo
+	-Wl,-whole-archive sysobj_early -Wl,-no-whole-archive
 	uber-graph
 	${GTK_LIBRARIES}
 	${LIBSOUP_LIBRARIES}
 	m
 	${ZLIB_LIBRARIES}
-)
+	${X11_LIBRARIES}
+	${JSON_GLIB_LIBRARIES}
+)
+set_target_properties(hardinfo PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
 else()
 add_executable(hardinfo
+	hardinfo/usb_util.c
+	hardinfo/pci_util.c
 	hardinfo/binreloc.c
 	hardinfo/expr.c
         hardinfo/hardinfo.c
 	hardinfo/socket.c
 	hardinfo/util.c
+	hardinfo/gg_key_file_parse_string_as_value.c
+	hardinfo/gg_strescape.c
+	hardinfo/problem_marker.c
+	hardinfo/hinote_util.c
 	hardinfo/vendor.c
 	hardinfo/info.c
 	hardinfo/cpu_util.c
 	hardinfo/dmi_util.c
 	hardinfo/dt_util.c
+	hardinfo/x_util.c
+	hardinfo/gpu_util.c
+	hardinfo/udisks2_util.c
+	hardinfo/storage_util.c
 	shell/callbacks.c
 	shell/iconcache.c
 	shell/menu.c
@@ -262,10 +359,13 @@
 	shell/loadgraph.c
 )
 target_link_libraries(hardinfo
+	-Wl,-whole-archive sysobj_early -Wl,-no-whole-archive
 	${GTK_LIBRARIES}
 	${LIBSOUP_LIBRARIES}
 	m
 	${ZLIB_LIBRARIES}
+	${X11_LIBRARIES}
+	${JSON_GLIB_LIBRARIES}
 )
 endif()
 
@@ -296,6 +396,10 @@
 	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
 )
 install(FILES ${HARDINFO_MANPAGES}
-	DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/man/man1
-	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
-)
+	DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
+	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
+)
+install(FILES pixmaps/hardinfo.png
+    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps
+	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
+)

## hardinfo 0.6.0-alpha%2Bgit20211205

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
DEBPATH=$(CURDIR)/debian/inst

%:
	dh ${@}
	
override_dh_auto_configure:
	  cmake -B build \
    	-DCMAKE_INSTALL_PREFIX='/usr' \
    	-DCMAKE_INSTALL_LIBDIR='lib' \
    	-DHARDINFO_GTK3='ON' \
    	-Wno-dev

override_dh_auto_build:
	make -C build
	make -C build DESTDIR=${DEBPATH} install

## hardinfo 0.6.0-alpha+git20211205

=== debian/changelog ===
hardinfo (0.6.0-alpha+git20211205-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master on 20211205 for MX-21.
  * Used Debianization from Linux Uprising as basis, thanks logix!
  * Control: swith to debhelper-compat, update Vcs links.
  * Change depends from zlib1g-dev to zlib1g.
  * Move mesa-utils to Recommends.  

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 24 Jan 2022 11:34:26 -0500

hardinfo (0.6~alpha~git20211203~hirsute) hirsute; urgency=medium

  * Latest Git as of 3 Dec. 2021
  * Build with GTK3

 -- Logix <logix@linuxuprising.com>  Thu, 02 Dec 2021 15:07:22 +0000

=== debian/control ===
Source: hardinfo
Section: x11
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Leandro Pereira <leandro@hardinfo.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libffi-dev,
               libgtk-3-dev,
               liblzma-dev,
               libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libsoup2.4-dev,
               pciutils (>= 1:2.1.11-10),
               libjson-glib-dev
Standards-Version: 4.1.3
Homepage: http://hardinfo.org
Vcs-Browser: https://github.com/lpereira/hardinfo
Vcs-Git: https://github.com/lpereira/hardinfo.git

Package: hardinfo
Architecture: any
Depends: pciutils (>= 1:2.1.11-10),
         zlib1g,
         dmidecode,
         fwupd,
         lm-sensors,
         sysbench,
         usbutils,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: mesa-utils
Description: Displays system information
 HardInfo is a small application that displays information about your
 hardware and operating system. Currently it knows about PCI, ISA PnP, USB,
 IDE, SCSI, Serial and parallel port devices.

## hardinfo 2.1.8

=== debian/changelog ===
hardinfo (2.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 27 May 2024 01:20:19 -0400

hardinfo (2.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 May 2024 16:19:33 -0400

hardinfo (2.1.2+git20240525-1) unstable; urgency=medium

  * New upstream snapshot.
  * Source-only upload.
  * debian/patches: Drop all patches, merged upstream.
  * debian/copyright: Update license information.
  * debian/control: Mark binary as linux-any since hardinfo does not
    support any non-linux system.
  * debian/control: Recommend installation of fwupd as suggusted upstream.
  * Closes more bugs that are confirmed to be solved.
    (Closes: #886280) (LP: #1672017)
  * debian/control: Update package recommendation following upstream
    comments.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 May 2024 08:49:26 -0400

hardinfo (2.1.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1014266, #1070830)
    + Add loongarch support. (Closes: #1051775)
  * debian/control:
    + Migrate to libsoup3. (Closes: #1071517)
    + Migrate to GTK3. (Closes: #967518)
    + Rename binary package to hardinfo2. Keep the old hardinfo package as
      a transitional package.
  * debian/copyright: Rewrite license information.
  * debian/hardinfo2.lintian-overrides: Do not give warnings on data file
    encoding.

 -- Boyuan Yang <byang@debian.org>  Wed, 22 May 2024 15:08:59 -0400

hardinfo (0.5.1+git20180227-3) unstable; urgency=medium

  * Update package maintainer info via ITS process. (Closes: #1071373)
  * debian/control: Add missing dependency sensible-utils.
  * debian/control: Update Vcs-* fields to use Salsa Debian group.
  * debian/watch: Monitor hardinfo2 GitHub releases.
  * debian/rules: Disable -Werror=implicit-function-declaration
    for now. This fixes the FTBFS issue. (Closes: #1066701)

 -- Boyuan Yang <byang@debian.org>  Wed, 22 May 2024 14:24:00 -0400
